echo off
cls
break off
if exist ad.EXE goto :doit
echo File Not Found
echo Please make sure that the default drive and/or
echo subdirectory are set correctly.
goto :end
:doit
ad
if not errorlevel 255 goto chk254
echo EXE file corrupted.  Diskette may be damaged.
echo Demo terminated.
goto :end
:chk254
if not errorlevel 254 goto chk253
echo Sorry, This demo requires DOS 2.0 or higher.
goto :end
:chk253
if not errorlevel 253 goto chk252
echo Sorry, this demo requires VGA graphics capabilities.
goto :end
:chk252
if not errorlevel 252 goto chk251
echo Sorry, this demo requires EGA or VGA graphics capabilities.
goto :end
:chk251
if not errorlevel 251 goto chk250
echo Sorry, 256K of memory on the EGA card is required to run this demo.
goto :end
:chk250
if not errorlevel 250 goto allok
echo Sorry, this demo needs to be run from a hard disk.  Try again.
goto :end
:allok
echo Thank you for watching our AutoCAD Designer Demo.
echo If you would like to see it again,type:
echo DEMO, and press the ENTER key.
:end end
